---
title: Category
slug: backyardapi/home-improvement-product-data-api/parameters/category
docTags: 
createdAt: 2024-07-23T14:57:52.062Z
---

# Category Parameters

<font color="#52c41a">`GET`  </font>`/request`

The Category Parameters are applicable when making a request with  `type=category`  to retrieve category results from Home Depot. The category is specified in the  `category_id`  parameter. The parameters should be appended as querystring parameters to the Home Improvement Product Data API `GET` HTTP request.

Category results are retrieved from the [Category results page](https://www.homedepot.com/b/N-5yc1vZbm92) on Home Depot.

![](https://apiimages.imgix.net/backyardapi/images/png/docs/category.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Category Results Page")

For example, to request category results for the  `category_id`  of  `N-5yc1vZbm92` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.backyardapi.com/request?api_key=demo&engine=homedepot&type=category&category_id=N-5yc1vZbm92
```

```curl
curl -L --get https://api.backyardapi.com/request
-d api_key="demo"
-d engine="homedepot"
-d type="category"
-d category_id="5F9BB75E8BEE926724ADA8F8C0DAE926912E15A2"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  engine: "homedepot",
  type: "category",
  category_id: "N-5yc1vZbm92"
}

// make the http GET request to Backyard API
axios.get('https://api.backyardapi.com/request', { params })
  .then(response => {

    // print the JSON response from Backyard API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'engine': 'homedepot',
  'type': 'category',
  'category_id': 'N-5yc1vZbm92'
}

# make the http GET request to Backyard API
api_result = requests.get('https://api.backyardapi.com/request', params)

# print the JSON response from Backyard API
print(json.dumps(api_result.json()))
```
:::

***

### Category Parameters

The following parameters are available for all requests made when  `type=category` .

| *`Parameter`*   | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| --------------- | ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`engine`*      | <u>*`required`*</u> | The engine of Home Improvement data to retrieve, for example `homedepot`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`category_id`* | <u>*`required`*</u> | A category ID to retrieve results from. You may supply any arbitary value in the `category_id` parameter however we recommend using a category ID returned from the [Categories API ](https://docs.trajectdata.com/backyardapi/categories-api/overview)as these are known-good category IDs from Home Improvement.                                                                                                                                                                                                                                                                                                                            |
| *`sort_by`*     | *`optional`*        | Determines how the results are sorted. Valid values are:<br />1. `best_seller`<br />2. Sort results by best selling products first.<br /><br />1. `most_popular`<br />2. Sort results by most popular products first.<br /><br />1. `price_high_to_low`<br />2. Sort results by highest to lowest priced.<br /><br />1. `price_low_to_high`<br />2. Sort results by lowest to highest priced.<br /><br />1. `highest_rating`<br />2. Sort results by highest rated first.<br /><br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/backyardapi/images/png/docs/sort_by.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption} |
| *`min_price`*   | *`optional`*        | Determines the minimum price of results to return, expressed in dollars and cents (i.e. `min_price=2.99` for $2.99).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| *`max_price`*   | *`optional`*        | Determines the maximum price of results to return, expressed in dollars and cents (i.e. `min_price=39.99` for $39.99).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`page`*        | *`optional`*        | The current page of results to retrieve. Inspect the `pagination` results property for details on the number of pages available.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| *`max_page`*    | *`optional`*        | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/backyardapi/home-improvement-product-data-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                  |
| *`url`*         | *`optional`*        | The Home Improvement category results page to retrieve results from.  <br />**Note** : If the `url` parameter is supplied then all other parameters are ignored as they are overriden be those specified in the `url` parameter.                                                                                                                                                                                                                                                                                                                                                                                                              |

***

**Next Steps**
     [Category Results](https://docs.trajectdata.com/backyardapi/home-improvement-product-data-api/results/category)
